#ifndef CHATCLIENT_H
#define CHATCLIENT_H

#include <QTcpSocket>

class MainWindow;

class ChatClient : public QTcpSocket
{
	Q_OBJECT

  protected:
	MainWindow* mainWindow;

  public:
	explicit ChatClient(MainWindow* mainWindow, QObject *parent = 0);

  signals:

  protected slots:
	void dataReceived();
	void sendData(const QString& text);
};

#endif // CHATCLIENT_H
